class TextArea {
  constructor(page, elementSelector, value, expectedValue) {
    this.page = page;
    this.elementSelector = elementSelector;
    this.value = value;
    this.expectedValue = expectedValue;
  }

  isTextArea() {
    return this.page.expect.element(this.elementSelector).to.be.an('textarea');
  }

  isNotTextArea() {
    return this.page.expect.element(this.elementSelector).to.not.be.an('textarea');
  }

  clearTextArea() {
    this.page.clearValue(this.elementSelector);
  }

  clickTextArea() {
    this.page.click(this.elementSelector);
  }

  setValueTextArea() {
    this.isTextArea();
    this.clearTextArea();
    this.clickTextArea();
    this.page.setValue(this.elementSelector, this.value);
  }
}

module.exports = TextArea;
