/* eslint no-console: off */

class BrowserCommon {
  constructor(page, tabNumber) {
    this.page = page;
    this.tabNumber = tabNumber;
  }

  switchTabWindow() {
    this.page.window_handles((result) => {
      if (this.tabNumber === '' || this.tabNumber === undefined) {
        this.page.switchWindow(result.value[result.value.length - 1]);
      } else if (this.tabNumber > result.value.length) {
        console.log('tab number not found');
      } else {
        this.page.switchWindow(result.value[this.tabNumber - 1]);
      }
    });
  }
}

module.exports = BrowserCommon;
