/* eslint no-undef: off */
/* eslint no-console: off */

const path = require('path');

class FileOps {
  constructor(page, elementSelector, pathFile) {
    this.page = page;
    this.elementSelector = elementSelector;
    this.pathFile = pathFile;
  }

  uploadFile() {
    this.page.execute((data) => {
      document.querySelector(this.elementSelector).className = '';
    }, [], (result) => {
      console.log(result);
    });

    console.log(path.resolve(this.pathFile));
    return this.page.setValue(this.elementSelector, path.resolve(this.pathFile), (result) => {
      if (result.status !== 0) {
        console.log(result);
      }
    });
  }
}

module.exports = FileOps;
