class Image {
  constructor(page, elementSelector) {
    this.page = page;
    this.elementSelector = elementSelector;
  }

  isImageElement() {
    return this.page.expect.element(this.elementSelector).to.be.a('img');
  }

  isNotImageElement() {
    return this.page.expect.element(this.elementSelector).to.not.be.a('img');
  }

  clickImageElement() {
    this.isImageElement();
    this.page.click(this.elementSelector);
  }
}

module.exports = Image;
