class Span {
  constructor(page, elementSelector) {
    this.page = page;
    this.elementSelector = elementSelector;
  }

  isSpanElement() {
    return this.page.expect.element(this.elementSelector).to.be.a('span');
  }

  isNotSpanElement() {
    return this.page.expect.element(this.elementSelector).to.not.be.a('span');
  }

  clickSpanElement() {
    this.isSpanElement();
    this.page.click(this.elementSelector);
  }
}

module.exports = Span;
